Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class OntologyChange

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.OntologyChange

Direct Known Subclasses:
  AddAnnotationInstance, AddClassAxiom, AddDataPropertyInstance, AddDataPropertyRange, AddDataType, AddDomain, AddEntity, AddEnumeration, AddEquivalentClass, AddImport, AddIndividualAxiom, AddIndividualClass, AddInverse, AddObjectPropertyInstance, AddObjectPropertyRange, AddPropertyAxiom, AddSuperClass, AddSuperProperty, RemoveClassAxiom, RemoveEntity, RemoveEnumeration, RemoveEquivalentClass, RemoveSuperClass, SetDeprecated, SetFunctional, SetInverseFunctional, SetLogicalURI, SetOneToOne, SetSymmetric, SetTransitive

public abstract class OntologyChange
extends Object

Base class that represents a change to an ontology. Each change holds a reference to the ontology within which the change should occur, and may also specify an event which causes this change to occur (allowing the chaining of events).

Version:
  $Id: OntologyChange.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Field Summary
`protected OntologyChange` | `cause` The possible cause of the event
`protected OWLOntology` | `ontology` The ontology within which the change should occur.

Constructor Summary
`OntologyChange(OWLOntology ontology, OntologyChange cause)`

Method Summary
`abstract void` | `accept(ChangeVisitor visitor)` Accept a visit from a change visitor.
`OntologyChange` | `getCause()`
`OWLOntology` | `getOntology()`
`void` | `setCause(OntologyChange cause)`
`void` | `setOntology(OWLOntology ontology)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ontology

    protected OWLOntology ontology

  The ontology within which the change should occur.

### cause

    protected OntologyChange cause

  The possible cause of the event

Constructor Detail

### OntologyChange

    public OntologyChange(OWLOntology ontology,
                          OntologyChange cause)

Parameters:
  `ontology` - an `OWLOntology` value
  `cause` - a `OntologyChange` value

Method Detail

### getOntology

    public OWLOntology getOntology()

  Returns:
    an `OWLOntology` value

### setOntology

    public void setOntology(OWLOntology ontology)

  Parameters:
    `ontology` - an `OWLOntology` value

### getCause

    public OntologyChange getCause()

  Returns:
    a `OntologyChange` value

### setCause

    public void setCause(OntologyChange cause)

  Parameters:
    `cause` - a `OntologyChange` value

### accept

    public abstract void accept(ChangeVisitor visitor)
                         throws OWLException

  Accept a visit from a change visitor.

  Parameters:
    `visitor` - a `ChangeVisitor` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb